import { AppearanceProperty, CursorProperty, FillProperty, ObjectFitProperty, PointerEventsProperty, ResizeProperty, StrokeProperty, TransformProperty, TransitionProperty, UserSelectProperty } from "csstype";
export declare type OtherProperties<TLength = string | number> = {
    fill?: FillProperty | (FillProperty)[];
    stroke?: StrokeProperty | (StrokeProperty)[];
    transition?: TransitionProperty | (TransitionProperty)[];
    transform?: TransformProperty | (TransformProperty)[];
    cursor?: CursorProperty | (CursorProperty)[];
    resize?: ResizeProperty | (ResizeProperty)[];
    objectFit?: ObjectFitProperty | (ObjectFitProperty)[];
    userSelect?: UserSelectProperty | (UserSelectProperty)[];
    appearance?: AppearanceProperty | (AppearanceProperty)[];
    pointerEvents?: PointerEventsProperty | (PointerEventsProperty)[];
};
export declare const Other: {
    fill: string;
    stroke: string;
    transition: string;
    transform: string;
    cursor: string;
    resize: string;
    objectFit: string;
    userSelect: string;
    appearance: string;
    pointerEvents: string;
};
