import { BottomProperty, LeftProperty, OverflowXProperty, OverflowYProperty, PositionProperty, RightProperty, TopProperty, ZIndexProperty } from "csstype";
export declare type PositionProperties<TLength = string | number> = {
    position?: PositionProperty | (PositionProperty)[];
    top?: TopProperty<TLength> | (TopProperty<TLength>)[];
    right?: RightProperty<TLength> | (RightProperty<TLength>)[];
    bottom?: BottomProperty<TLength> | (BottomProperty<TLength>)[];
    left?: LeftProperty<TLength> | (LeftProperty<TLength>)[];
    overflowX?: OverflowXProperty | (OverflowXProperty)[];
    overflowY?: OverflowYProperty | (OverflowYProperty)[];
    zIndex?: ZIndexProperty | (ZIndexProperty)[];
};
export declare const Position: {
    position: string;
    top: string;
    right: string;
    bottom: string;
    left: string;
    overflowX: string;
    overflowY: string;
    zIndex: string;
};
